List Git assets.
Retrieve a list of Git datasource assets.
Authentication
AuthorizationBearer
Bearer authentication
Query parameters
name
Filter results by name.
scope
Filters results by scope. Returns only assets that belong to the specified scope. Mutually exclusive with includeDescendants. Valid values: tenant, cluster, department, project.
projectId
Filter results by project id. If scope filter is project, only assets from the specific project will be included in the response. Otherwise, the response will include project, department, cluster, tenant and system assets.
departmentId
Filter results by department id. If scope filter is department, only assets from the specific department will be included in the response. Otherwise, the response will include department, cluster, tenant and system assets.
clusterId
Filter results by Universally Unique Identifier (UUID) of the cluster. If scope filter is cluster, only assets from the specific cluster will be included in the response. Otherwise, the response will include cluster, tenant and system assets.
usageInfo
Whether the query should include asset usage information as part of the response.
complyToProject
Include workload creation compliance information of an asset, for a given project, as part of the response. To check compliance, you need to provide both project id and workload type.
complyToWorkloadType
Include workload creation compliance information of an asset, for a given workload type, as part of the response. To check compliance, you need to provide both project id and workload type.
Allowed values:
statusInfo
Whether the query should include asset status information as part of the response.
assetIds
Filter results by the ids of the assets. Provided value should be a comma separated string of UUIDs.
complyToReplicaType
Include workload creation compliance information of an asset, for a given replica type, as part of the response. To check compliance, you need to provide both project id and workload type. For distributed, replica type should be provided as well.
Allowed values:
Response
Request completed successfully.
entries
Errors
401
Unauthorized Error
403
Forbidden Error
503
Service Unavailable Error